## ros-lunar-srdfdom 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(srdfdom)

find_package(Boost REQUIRED)

find_package(console_bridge REQUIRED)
find_package(urdfdom_headers REQUIRED)

find_package(catkin REQUIRED COMPONENTS cmake_modules urdf urdfdom_py)

find_package(TinyXML REQUIRED)

include_directories(include ${Boost_INCLUDE_DIR} ${TinyXML_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS} ${urdfdom_headers_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_compile_options(-std=c++11)

catkin_python_setup()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include ${TinyXML_INCLUDE_DIRS}
  DEPENDS console_bridge urdfdom_headers urdfdom_py
)

add_library(${PROJECT_NAME} 
  src/model.cpp
  src/srdf_writer.cpp
)
target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${urdfdom_headers_LIBRARIES})


install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(PROGRAMS 
  scripts/display_srdf
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/srdf_parser.test)
endif()

=== debian/changelog ===
ros-lunar-srdfdom (0.4.2-0stretch) stretch; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- Dave Coleman <dave@dav.ee>  Sun, 29 Jan 2017 15:00:00 -0000

ros-lunar-srdfdom (0.4.1-0stretch) stretch; urgency=high

  * [fix][system] Build failure for Ubuntu Wily and Debian Jesie (urdfdom compatibility #25 <https://github.com/ros-planning/srdfdom/issues/25>)
    * test for existence of urdf typedef
    * if not existing, activate compatibility header
  * Contributors: Michael Goerner, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Wed, 21 Sep 2016 15:00:00 -0000

ros-lunar-srdfdom (0.4.0-0stretch) stretch; urgency=high

  * [fix] Define shared_ptr typedef (adjusting to the recent change in urdfdom) #21 <https://github.com/ros-planning/srdfdom/issues/21>
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Thu, 08 Sep 2016 15:00:00 -0000

ros-lunar-srdfdom (0.3.2-0stretch) stretch; urgency=high

  * [feat] Move SRDF-specific commands from moveit package #14 <https://github.com/ros-planning/srdfdom/issues/14>
  * [sys] remove ROS-dependent logging.
  * [sys] Much cleanup in package.xml. #12 <https://github.com/ros-planning/srdfdom/issues/12> pkg-config is no longer used after https://github.com/ros-planning/srdfdom/commit/19b23e5900e9c179089e99caae52023f95d2fec8#diff-af3b638bc2a3e6c650974192a53c7291
  * Contributors: Dave Coleman, Sarah Elliott, Robert Haschke, Isaac I.Y. Saito

 -- Dave Coleman <dave@dav.ee>  Wed, 24 Aug 2016 15:00:00 -0000

ros-lunar-srdfdom (0.3.1-0stretch) stretch; urgency=high

  * Change logError to Warn if collision link missing #10 <https://github.com/ros-planning/srdfdom/issues/10> Since MoveIt continues to load anyway, it makes sense to change the unknown collision link pairs ROS Error to a ROS Warning. Everything continues to work if a specified set of collision-link pairs is missing.
  * Contributors: Dave Coleman, Ian McMahon

 -- Dave Coleman <dave@dav.ee>  Sun, 31 Jul 2016 15:00:00 -0000

ros-lunar-srdfdom (0.3.0-0stretch) stretch; urgency=high

  * Removed unwanted python compiled file
  * Fixed path to resource in python test to work for rostest
  * Fixed authors, added doc
  * Fixed group_state parsing and changed chain as an aggregate
  * Renamed groups as subgroups when integrated in a group
  * Added the cpp tests in the python test
  * Fixed missing install
  * Added a python parser based on urdf_parser_py and using its reflection interface
  * Contributors: Dave Coleman, Guillaume Walck

 -- Dave Coleman <dave@dav.ee>  Mon, 15 Jun 2015 15:00:00 -0000

ros-lunar-srdfdom (0.2.7-0stretch) stretch; urgency=high

  * fixing dependencies for https://github.com/ros/rosdistro/issues/4633
  * added travis build status indicator in README.md
  * added travis support
  * use FindTinyXML from cmake_module
  * Contributors: Dave Coleman, Dave Hershberger, Ioan Sucan, Tully Foote

 -- Dave Coleman <dave@dav.ee>  Mon, 30 Jun 2014 15:00:00 -0000

ros-lunar-srdfdom (0.2.6-0stretch) stretch; urgency=high

  * fix incorrect tag name

 -- Dave Coleman <dave@dav.ee>  Thu, 18 Jul 2013 15:00:00 -0000

=== debian/control ===
Source: ros-lunar-srdfdom
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libtinyxml-dev, liburdfdom-headers-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-rostest, ros-lunar-urdf, ros-lunar-urdfdom-py
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-lunar-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libconsole-bridge-dev, libtinyxml-dev, liburdfdom-headers-dev, ros-lunar-urdfdom-py
Description: Parser for Semantic Robot Description Format (SRDF).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-srdfdom//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
